Installer - Bug #16705

grubx64.efi fails to boot with Secure Boot
09/27/2016 07:58 AM - roman plevka

Status: Closed
Priority: Urgent
Assignee: Lukas Zapletal
Category: Foreman modules
Target version: 1.14.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1379666 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman_proxy/pull/311

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1379666
Description of problem:

| got to test the UEFI feature on a bare metal host (Dell PowerEdge R330) and found out, the /var/lib/tftpboot/grub2/grubx64.efi fails

to boot with 'validation failed' [1] when Secure Boot is enabled.

On Izap's advice, i tried to replace the file by the one located in /boot/efi/EF|/redhat/grubx64.efi which booted just fine.

Is there a problem with signing the bootloader?

Version-Release number of selected component (if applicable):
6.3.0 Snap 1

How reproducible:

Steps to Reproduce:
1. get a machine supporting UEFI and secure boot
2. create a host with "Grub2 Uefi Secure Boot" pxe loader option

Actual results:
Verification failed:
http://storage?2.static.itmages.com/i/16/0923/h_1474643658 3444841 50e85b6ce5.png

Expected results:
the signature is valid and secure boot allows the bootloader to boot

Additional info:

Related issues:
Related to Installer - Feature #12635: Options to deploy Grub and PXELinux EF... Closed

11/30/2015

Associated revisions

Revision 3c11b38f - 11/24/2016 05:34 AM - Lukas Zapletal
Fixes #16705 - copy signed grubx64.efi from /boot (#311)

History

#1 - 09/27/2016 07:59 AM - Dominic Cleal
- Project changed from Foreman to Installer

- Category set to Foreman modules

#2 - 10/12/2016 04:45 AM - Lukas Zapletal

- Assignee set to Lukas Zapletal

05/18/2024
https://bugzilla.redhat.com/show_bug.cgi?id=1379666
http://storage2.static.itmages.com/i/16/0923/h_1474643658_3444841_50e85b6ce5.png

#3 - 10/21/2016 08:17 AM - Lukas Zapletal

- Priority changed from Normal to Urgent

#4 - 11/16/2016 05:08 AM - Lukas Zapletal

- Related to Feature #12635: Options to deploy Grub and PXELinux EFI loaders in TFTP root added

#5 - 11/16/2016 05:30 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/311 added

#6 - 11/22/2016 09:58 AM - Daniel Lobato Garcia

- Target version set to 1.4.3

#7 - 11/24/2016 06:01 AM - Lukas Zapletal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-foreman_proxy|3c11b38f76680f9363971b490cbc6cf2838a7aab.

#8 - 11/25/2016 05:38 AM - Dominic Cleal

- translation missing: en.field_release set to 189

05/18/2024
